package com.tzld.piaoquan.content.understanding.service;

import com.tzld.piaoquan.content.understanding.model.dto.VideoResultDTO;
import com.tzld.piaoquan.content.understanding.model.param.*;
import com.tzld.piaoquan.content.understanding.model.vo.ContentUnderstandingResultVO;
import com.tzld.piaoquan.content.understanding.model.vo.TaskResultVO;

/**
 * @author supeng
 */
public interface ContentService {

    /**
     * 内容分析处理
     *
     * @param param
     */
    void analyse(ContentAnalyseParam param);

    void understand(ContentUnderstandParam param);

    /**
     * 提交任务
     *
     * @param param
     * @return
     */
    TaskResultVO submitTasks(SubmitTasksParam param);

    /**
     * 查询任务
     *
     * @param param
     * @return
     */
    TaskResultVO queryTasks(QueryTasksParam param);

    /**
     * 获取视频信息
     *
     * @param param
     * @return
     */
    ContentUnderstandingResultVO getVideoUnderstandingResult(GetVideoUnderstandingResultParam param);
}
